--- old/usr/src/lib/libm/sparcv9/src/libm_inlines.h	2014-05-04 03:07:08.017091501 +0200
+++ new/usr/src/lib/libm/sparcv9/src/libm_inlines.h	2014-05-04 03:07:08.262005716 +0200
@@ -28,7 +28,7 @@
  * Copyright 2011, Richard Lowe.
  */
 
-/* Functions in this file are duplicated in libm.m4.  Keep them in sync */
+/* Functions in this file are duplicated in locallibm.il.  Keep them in sync */
 
 #ifndef _LIBM_INLINES_H
 #define	_LIBM_INLINES_H
@@ -46,49 +46,50 @@
 fp_classf(float f)
 {
 	enum fp_class_type ret;
-	int fint;                   /* scratch for f as int */
+	int fint;		/* scratch for f as int */
+	uint64_t tmp;
 
 	__asm__ __volatile__(
-	    "fabss  %2,%2\n\t"
-	    "st	    %2,%1\n\t"
+	    "fabss  %3,%3\n\t"
+	    "st	    %3,%1\n\t"
 	    "ld	    %1,%0\n\t"
 	    "orcc   %%g0,%0,%%g0\n\t"
 	    "be,pn  %%icc,2f\n\t"
 	    "nop\n\t"
 	    "1:\n\t"
-	    "sethi  %%hi(0x7f800000),%%o1\n\t"
-	    "andcc  %0,%%o1,%%g0\n\t"
+	    "sethi  %%hi(0x7f800000),%2\n\t"
+	    "andcc  %0,%2,%%g0\n\t"
 	    "bne,pt %%icc,1f\n\t"
 	    "nop\n\t"
 	    "or	    %%g0,1,%0\n\t"
-	    "ba	    2f\n\t"
+	    "ba	    2f\n\t"	/* subnormal */
 	    "nop\n\t"
 	    "1:\n\t"
-	    "subcc  %0,%%o1,%%g0\n\t"
+	    "subcc  %0,%2,%%g0\n\t"
 	    "bge,pn %%icc,1f\n\t"
 	    "nop\n\t"
 	    "or	    %%g0,2,%0\n\t"
-	    "ba	    2f\n\t"
+	    "ba	    2f\n\t"	/* normal */
 	    "nop\n\t"
 	    "1:\n\t"
 	    "bg,pn  %%icc,1f\n\t"
 	    "nop\n\t"
 	    "or	    %%g0,3,%0\n\t"
-	    "ba	    2f\n\t"
+	    "ba	    2f\n\t"	/* infinity */
 	    "nop\n\t"
 	    "1:\n\t"
-	    "sethi  %%hi(0x00400000),%%o1\n\t"
-	    "andcc  %0,%%o1,%%g0\n\t"
+	    "sethi  %%hi(0x00400000),%2\n\t"
+	    "andcc  %0,%2,%%g0\n\t"
 	    "or	    %%g0,4,%0\n\t"
-	    "bne,pt %%icc,2f\n\t"
+	    "bne,pt %%icc,2f\n\t" /* quiet NaN */
 	    "nop\n\t"
-	    "or	    %%g0,5,%0\n\t"
+	    "or	    %%g0,5,%0\n\t" /* signalling NaN */
 	    "2:\n\t"
-	    : "=r" (ret), "=m" (fint)
+	    : "=r" (ret), "=m" (fint), "=r" (tmp)
 	    : "f" (f)
-	    : "o1");
+	    : "cc");
 
-    return (ret);
+	return (ret);
 }
 
 extern __inline__ enum fp_class_type
@@ -96,48 +97,49 @@
 {
 	enum fp_class_type ret;
 	uint64_t dint;		/* Scratch for d-as-long */
+	uint64_t tmp;
 
 	__asm__ __volatile__(
-	    "fabsd  %2,%2\n\t"
-	    "std    %2,%1\n\t"
+	    "fabsd  %3,%3\n\t"
+	    "std    %3,%1\n\t"
 	    "ldx    %1,%0\n\t"
 	    "orcc   %%g0,%0,%%g0\n\t"
 	    "be,pn  %%xcc,2f\n\t"
 	    "nop\n\t"
-	    "sethi  %%hi(0x7ff00000),%%o1\n\t"
-	    "sllx   %%o1,32,%%o1\n\t"
-	    "andcc  %0,%%o1,%%g0\n\t"
+	    "sethi  %%hi(0x7ff00000),%2\n\t"
+	    "sllx   %2,32,%2\n\t"
+	    "andcc  %0,%2,%%g0\n\t"
 	    "bne,pt %%xcc,1f\n\t"
 	    "nop\n\t"
 	    "or	    %%g0,1,%0\n\t"
 	    "ba	    2f\n\t"
 	    "nop\n\t"
 	    "1:\n\t"
-	    "subcc  %0,%%o1,%%g0\n\t"
+	    "subcc  %0,%2,%%g0\n\t"
 	    "bge,pn %%xcc,1f\n\t"
 	    "nop\n\t"
 	    "or	    %%g0,2,%0\n\t"
 	    "ba	    2f\n\t"
 	    "nop\n\t"
 	    "1:\n\t"
-	    "andncc %0,%%o1,%0\n\t"
+	    "andncc %0,%2,%0\n\t"
 	    "bne,pn %%xcc,1f\n\t"
 	    "nop\n\t"
 	    "or	    %%g0,3,%0\n\t"
 	    "ba	    2f\n\t"
 	    "nop\n\t"
 	    "1:\n\t"
-	    "sethi  %%hi(0x00080000),%%o1\n\t"
-	    "sllx   %%o1,32,%%o1\n\t"
-	    "andcc  %0,%%o1,%%g0\n\t"
+	    "sethi  %%hi(0x00080000),%2\n\t"
+	    "sllx   %2,32,%2\n\t"
+	    "andcc  %0,%2,%%g0\n\t"
 	    "or	    %%g0,4,%0\n\t"
 	    "bne,pt %%xcc,2f\n\t"
 	    "nop\n\t"
 	    "or	    %%g0,5,%0\n\t"
 	    "2:\n\t"
-	    : "=r" (ret), "=m" (dint)
+	    : "=r" (ret), "=m" (dint), "=r" (tmp)
 	    : "e" (d)
-	    : "o1");
+	    : "cc");
 
 	return (ret);
 }
@@ -147,7 +149,7 @@
 {
 	float ret;
 
-	__asm__ __volatile__("fsqrts %0,%0\n\t" : "=f" (ret) : "f" (f));
+	__asm__ __volatile__("fsqrts %1,%0\n\t" : "=f" (ret) : "f" (f));
 	return (ret);
 }
 
@@ -156,7 +158,7 @@
 {
 	double ret;
 
-	__asm__ __volatile__("fsqrtd %0,%0\n\t" : "=f" (ret) : "0" (d));
+	__asm__ __volatile__("fsqrtd %1,%0\n\t" : "=f" (ret) : "f" (d));
 	return (ret);
 }
 
@@ -165,23 +167,24 @@
 {
 	int ret;
 	uint32_t fsr;
+	uint64_t tmp1, tmp2;
 
 	__asm__ __volatile__(
-	    "and  %0,0x1f,%%o1\n\t"
-	    "sll  %%o1,5,%%o1\n\t"    /* input to aexc bit location */
+	    "and  %4,0x1f,%2\n\t"
+	    "sll  %2,5,%2\n\t"	/* shift input to aexc bit location */
 	    ".volatile\n\t"
-	    "st   %%fsr,%2\n\t"
-	    "ld	  %2,%0\n\t"	      /* = fsr */
-	    "andn %0,0x3e0,%%o2\n\t"
-	    "or   %%o1,%%o2,%%o1\n\t" /* o1 = new fsr */
-	    "st	  %%o1,%2\n\t"
-	    "ld	  %2,%%fsr\n\t"
+	    "st   %%fsr,%1\n\t"
+	    "ld	  %1,%0\n\t"	/* %0 = fsr */
+	    "andn %0,0x3e0,%3\n\t"
+	    "or   %2,%3,%2\n\t"	/* %2 = new fsr */
+	    "st	  %2,%1\n\t"
+	    "ld	  %1,%%fsr\n\t"
 	    "srl  %0,5,%0\n\t"
 	    "and  %0,0x1f,%0\n\t"
 	    ".nonvolatile\n\t"
-	    : "=r" (ret)
-	    : "0" (i), "m" (fsr)
-	    : "o1", "o2");
+	    : "=r" (ret), "=m" (fsr), "=r" (tmp1), "=r" (tmp2)
+	    : "r" (i)
+	    : "cc");
 
 	return (ret);
 }
@@ -202,24 +205,26 @@
 {
 	enum fp_direction_type ret;
 	uint32_t fsr;
+	uint64_t tmp1, tmp2, tmp3;
 
 	__asm__ __volatile__(
-	    "and   %0,0x3,%0\n\t"
-	    "sll   %0,30,%%o1\n\t"	      /* input to RD bit location */
+	    "and   %5,0x3,%0\n\t"
+	    "sll   %0,30,%2\n\t"	/* shift input to RD bit location */
 	    ".volatile\n\t"
-	    "st    %%fsr,%2\n\t"
-	    "ld	   %2,%0\n\t"                 /* o0 = fsr */
-	    "sethi %%hi(0xc0000000),%%o4\n\t" /* mask of rounding direction bits */
-	    "andn  %0,%%o4,%%o2\n\t"
-	    "or    %%o1,%%o2,%%o1\n\t"	      /* o1 = new fsr */
-	    "st	   %%o1,%2\n\t"
-	    "ld	   %2,%%fsr\n\t"
+	    "st    %%fsr,%1\n\t"
+	    "ld	   %1,%0\n\t"		/* %0 = fsr */
+	    /* mask of rounding direction bits */
+	    "sethi %%hi(0xc0000000),%4\n\t"
+	    "andn  %0,%4,%3\n\t"
+	    "or    %2,%3,%2\n\t"	/* %2 = new fsr */
+	    "st	   %2,%1\n\t"
+	    "ld	   %1,%%fsr\n\t"
 	    "srl   %0,30,%0\n\t"
 	    "and   %0,0x3,%0\n\t"
 	    ".nonvolatile\n\t"
-	    : "=r" (ret)
-	    : "0" (d), "m" (fsr)
-	    : "o1", "o2", "o4");
+	    : "=r" (ret), "=m" (fsr), "=r" (tmp1), "=r" (tmp2), "=r" (tmp3)
+	    : "r" (d)
+	    : "cc");
 
 	return (ret);
 }
@@ -229,24 +234,26 @@
 {
 	int ret;
 	uint32_t fsr;
-	
+	uint64_t tmp1, tmp2, tmp3;
+
 	__asm__ __volatile__(
-	    "and   %0,0x1f,%0\n\t"
-	    "sll   %0,23,%%o1\n\t"            /* input to TEM bit location */
+	    "and   %5,0x1f,%0\n\t"
+	    "sll   %0,23,%2\n\t"	/* shift input to TEM bit location */
 	    ".volatile\n\t"
-	    "st    %%fsr,%2\n\t"
-	    "ld	   %2,%0\n\t"                 /* o0 = fsr */
-	    "sethi %%hi(0x0f800000),%%o4\n\t" /* mask of TEM (Trap Enable Mode bits) */
-	    "andn  %0,%%o4,%%o2\n\t"	  
-	    "or    %%o1,%%o2,%%o1\n\t"        /* o1 = new fsr */
-	    "st	   %%o1,%2\n\t"
-	    "ld	   %2,%%fsr\n\t"
+	    "st    %%fsr,%1\n\t"
+	    "ld	   %1,%0\n\t"		/* %0 = fsr */
+	    /* mask of TEM (Trap Enable Mode bits) */
+	    "sethi %%hi(0x0f800000),%4\n\t"
+	    "andn  %0,%4,%3\n\t"
+	    "or    %2,%3,%2\n\t"	/* %2 = new fsr */
+	    "st	   %2,%1\n\t"
+	    "ld	   %1,%%fsr\n\t"
 	    "srl   %0,23,%0\n\t"
 	    "and   %0,0x1f,%0\n\t"
 	    ".nonvolatile\n\t"
-	    : "=r" (ret)
-	    : "0" (i), "m" (fsr)
-	    : "o1", "o2", "o4");
+	    : "=r" (ret), "=m" (fsr), "=r" (tmp1), "=r" (tmp2), "=r" (tmp3)
+	    : "r" (i)
+	    : "cc");
 
 	return (ret);
 }
@@ -255,37 +262,31 @@
 extern __inline__ double
 sqrt(double d)
 {
-    double ret;
-
-    __asm__ __volatile__("fsqrtd %0,%0\n\t" : "=f" (ret) : "0" (d));
-    return (ret);
+	return (__inline_sqrt(d));
 }
 
 extern __inline__ float
 sqrtf(float f)
 {
-    float ret;
-
-    __asm__ __volatile__("fsqrts %0,%0\n\t" : "=f" (ret) : "0" (f));
-    return (ret);
+	return (__inline_sqrtf(f));
 }
 
 extern __inline__ double
 fabs(double d)
 {
-    double ret;
+	double ret;
 
-    __asm__ __volatile__("fabsd %0,%0\n\t" : "=e" (ret) : "0" (d));
-    return (ret);
+	__asm__ __volatile__("fabsd %1,%0\n\t" : "=e" (ret) : "e" (d));
+	return (ret);
 }
 
 extern __inline__ float
 fabsf(float f)
 {
-    float ret;
+	float ret;
 
-    __asm__ __volatile__("fabss %0,%0\n\t" : "=f" (ret) : "0" (f));
-    return (ret);
+	__asm__ __volatile__("fabss %1,%0\n\t" : "=f" (ret) : "f" (f));
+	return (ret);
 }
 
 #ifdef __cplusplus
--- old/usr/src/lib/libmvec/Makefile.com	2014-05-04 03:07:10.404567035 +0200
+++ new/usr/src/lib/libmvec/Makefile.com	2014-05-04 03:07:10.434123059 +0200
@@ -170,6 +170,9 @@
 LINTERROFF	+= -erroff=E_ASSIGMENT_CAUSE_LOSS_PREC
 LINTERROFF	+= -erroff=E_FUNC_SET_NOT_USED
 
+CERRWARN	+= -_gcc=-Wno-parentheses
+CERRWARN	+= -_gcc=-Wno-unused-variable
+
 LINTFLAGS	+= $(LINTERROFF)
 LINTFLAGS64	+= $(LINTERROFF)
 LINTFLAGS64     += -errchk=longptr64
--- old/usr/src/lib/libmvec/Makefile.com	2014-05-04 03:07:11.885219122 +0200
+++ new/usr/src/lib/libmvec/Makefile.com	2014-05-04 03:07:11.918953026 +0200
@@ -170,6 +170,9 @@
 LINTERROFF	+= -erroff=E_ASSIGMENT_CAUSE_LOSS_PREC
 LINTERROFF	+= -erroff=E_FUNC_SET_NOT_USED
 
+CERRWARN	+= -_gcc=-Wno-parentheses
+CERRWARN	+= -_gcc=-Wno-unused-variable
+
 LINTFLAGS	+= $(LINTERROFF)
 LINTFLAGS64	+= $(LINTERROFF)
 LINTFLAGS64     += -errchk=longptr64
--- old/usr/src/lib/libmvec/common/__vatan.c	2014-05-04 03:07:13.001722706 +0200
+++ new/usr/src/lib/libmvec/common/__vatan.c	2014-05-04 03:07:13.035139188 +0200
@@ -47,13 +47,13 @@
 void
 __vatan( int n, double * restrict x, int stridex, double * restrict y, int stridey )
 {
-  double  f , z, ans, ansu , ansl , tmp , poly , conup , conlo , dummy;
+  double  f , z, ans = 0.0L, ansu , ansl , tmp , poly , conup , conlo , dummy;
   double  f1,   ans1, ansu1, ansl1, tmp1, poly1, conup1, conlo1;
   double  f2,   ans2, ansu2, ansl2, tmp2, poly2, conup2, conlo2;
   int index, sign, intf, intflo, intz, argcount;
-  int index1, sign1 ;
-  int index2, sign2 ;
-  double *yaddr,*yaddr1,*yaddr2;
+  int index1, sign1 = 0;
+  int index2, sign2 = 0;
+  double *yaddr,*yaddr1 = 0,*yaddr2 = 0;
   extern const double __vlibm_TBL_atan1[];
   extern double fabs( double );
 
--- old/usr/src/lib/libmvec/common/__vatan2f.c	2014-05-04 03:07:14.765435042 +0200
+++ new/usr/src/lib/libmvec/common/__vatan2f.c	2014-05-04 03:07:14.813523510 +0200
@@ -51,19 +51,19 @@
 __vatan2f( int n, float * restrict y, int stridey, float * restrict x,
 	int stridex, float * restrict z, int stridez )
 {
-	float		x0, x1, x2, y0, y1, y2, *pz0, *pz1, *pz2;
+	float		x0, x1, x2, y0, y1, y2, *pz0 = 0, *pz1, *pz2;
 	double		ah0, ah1, ah2;
 	double		t0, t1, t2;
 	double		sx0, sx1, sx2;
 	double		sign0, sign1, sign2;
-	int		i, k0, k1, k2, hx, sx, sy;
+	int		i, k0 = 0, k1, k2, hx, sx, sy;
 	int		hy0, hy1, hy2;
-	float		base0, base1, base2;
+	float		base0 = 0.0, base1, base2;
 	double		num0, num1, num2;
 	double		den0, den1, den2;
 	double		dx0, dx1, dx2;
 	double		dy0, dy1, dy2;
-	double		db0, db1, db2;		
+	double		db0, db1, db2;
 
 	do
 	{
--- old/usr/src/lib/libmvec/common/__vatanf.c	2014-05-04 03:07:16.562348580 +0200
+++ new/usr/src/lib/libmvec/common/__vatanf.c	2014-05-04 03:07:16.575360785 +0200
@@ -38,7 +38,7 @@
 {
   extern const double __vlibm_TBL_atan1[];
   double  conup0, conup1, conup2;
-  float dummy, ansf;
+  float dummy, ansf = 0.0;
   float f0, f1, f2;
   float ans0, ans1, ans2;
   float poly0, poly1, poly2;
--- old/usr/src/lib/libmvec/common/__vcos.c	2014-05-04 03:07:18.446724742 +0200
+++ new/usr/src/lib/libmvec/common/__vcos.c	2014-05-04 03:07:18.690632534 +0200
@@ -28,6 +28,7 @@
  */
 
 #include <sys/isa_defs.h>
+#include <sys/ccompile.h>
 
 #ifdef _LITTLE_ENDIAN
 #define HI(x)	*(1+(int*)x)
@@ -98,10 +99,9 @@
 {
 	double		x0_or_one[4], x1_or_one[4], x2_or_one[4];
 	double		y0_or_zero[4], y1_or_zero[4], y2_or_zero[4];
-	double		x0, x1, x2, *py0, *py1, *py2, *xsave, *ysave;
-	unsigned	hx0, hx1, hx2, xsb0, xsb1, xsb2;
-	int			i, biguns, nsave, sxsave, sysave;
-
+	double		x0, x1, x2, *py0 = 0, *py1 = 0, *py2, *xsave, *ysave;
+	unsigned	hx0, hx1, hx2, xsb0, xsb1 = 0, xsb2;
+	int		i, biguns, nsave, sxsave, sysave;
 	nsave = n;
 	xsave = x;
 	sxsave = stridex;
@@ -122,7 +122,6 @@
 		}
 		if ( hx0 < 0x3e400000 ) {
 			/* Too small.  cos x ~ 1. */
-			volatile int v = *x;
 			*y = 1.0;
 			x += stridex;
 			y += stridey;
@@ -149,7 +148,6 @@
 		}
 		if ( hx1 < 0x3e400000 )
 		{
-			volatile int v = *x;
 			*y = 1.0;
 			x += stridex;
 			y += stridey;
@@ -176,7 +174,6 @@
 		}
 		if ( hx2 < 0x3e400000 )
 		{
-			volatile int v = *x;
 			*y = 1.0;
 			x += stridex;
 			y += stridey;
--- old/usr/src/lib/libmvec/common/__vcosf.c	2014-05-04 03:07:21.296519545 +0200
+++ new/usr/src/lib/libmvec/common/__vcosf.c	2014-05-04 03:07:21.114004063 +0200
@@ -148,7 +148,7 @@
 	double		y0, y1, y2, y3;
 	double		z0, z1, z2, z3;
 	float		f0, f1, f2, f3, t;
-	int		n0, n1, n2, n3, hx, ix, medium;
+	int		n0 = 0, n1 = 0, n2 = 0, n3, hx, ix, medium;
 
 	y -= stridey;
 
--- old/usr/src/lib/libmvec/common/__vpow.c	2014-05-04 03:07:23.042825898 +0200
+++ new/usr/src/lib/libmvec/common/__vpow.c	2014-05-04 03:07:23.072569071 +0200
@@ -546,9 +546,9 @@
 yisint##I = 0;	/* Y - non-integer */								\
 exp = hy >> 20;	/* Y exponent */								\
 ull_y0 &= LMMANT;										\
-ull_x##I = ull_y0 | LDONE;									\
+ull_x##I = (ull_y0 | LDONE);									\
 x##I = *(double*)&ull_x##I;									\
-ull_ax##I = (ull_x##I + LMROUND) & LMHI20;							\
+ull_ax##I = ((ull_x##I + LMROUND) & LMHI20);							\
 ax##I = *(double*)&ull_ax##I;									\
 if ( hx >= 0x7ff00000 || exp >= 0x43e )		/* X=Inf,Nan or |Y|>2^63,Inf,Nan */		\
 {												\
@@ -619,7 +619,7 @@
 		RET_SC(I)									\
 	}											\
 }												\
-if ( sx || (hx | lx) == 0 )	/* X <= 0      */						\
+if ( (sx || (hx | lx)) == 0 )	/* X <= 0      */						\
 {												\
 	if ( exp >= 0x434 )	/* |Y| >= 2^53 */						\
 		yisint##I = 2;	/* Y - even    */						\
@@ -662,11 +662,11 @@
 {												\
 	ax##I = (double) ull_y0;								\
 	ull_ax##I = *(unsigned long long*)&ax##I;						\
-	ull_x##I = ull_ax##I & LMMANT | LDONE;							\
+	ull_x##I = ((ull_ax##I & LMMANT) | LDONE);							\
 	x##I = *(double*)&ull_x##I;								\
 	exp##I = ((unsigned int*) & ull_ax##I)[0];						\
 	exp##I = (exp##I >> 20) - (2046 + 1023 + 51);						\
-	ull_ax##I = ull_x##I + LMROUND & LMHI20;						\
+	ull_ax##I = (ull_x##I + (LMROUND & LMHI20));						\
 	ax##I = *(double*)&ull_ax##I;								\
 	ux##I = x##I + ax##I;									\
 }												\
@@ -678,19 +678,19 @@
 __vpow( int n, double * restrict px, int stridex, double * restrict py,
 	int stridey, double * restrict pz, int stridez )
 {
-	double			*py0, *py1, *py2;
-	double			*pz0, *pz1, *pz2;
-	double			y0, yd0, u0, s0, s_l0, m_h0;
-	double			y1, yd1, u1, s1, s_l1, m_h1;
+	double			*py0 = 0, *py1 = 0, *py2;
+	double			*pz0 = 0, *pz1 = 0, *pz2;
+	double			y0, yd0 = 0.0L, u0, s0, s_l0, m_h0;
+	double			y1, yd1 = 0.0L, u1, s1, s_l1, m_h1;
 	double			y2, yd2, u2, s2, s_l2, m_h2;
-	double			ax0, x0, s_h0, ux0;
-	double			ax1, x1, s_h1, ux1;
+	double			ax0 = 0.0L, x0 = 0.0L, s_h0, ux0;
+	double			ax1 = 0.0L, x1 = 0.0L, s_h1, ux1;
 	double			ax2, x2, s_h2, ux2;
 	int			eflag0, gflag0, ind0, i0;
 	int			eflag1, gflag1, ind1, i1;
 	int			eflag2, gflag2, ind2, i2;
-	int			hx0, yisint0, exp0;
-	int			hx1, yisint1, exp1;
+	int			hx0 = 0, yisint0 = 0, exp0 = 0;
+	int			hx1 = 0, yisint1 = 0, exp1 = 0;
 	int			hx2, yisint2, exp2;
 	int			exp, i = 0;
 	unsigned		hx, lx, sx, hy, ly, sy;
@@ -1129,8 +1129,8 @@
 __vpowx( int n, double * restrict px, double * restrict py,
 	int stridey, double * restrict pz, int stridez )
 {
-	double			*py0, *py1, *py2;
-	double			*pz0, *pz1, *pz2;
+	double			*py0, *py1 = 0, *py2;
+	double			*pz0, *pz1 = 0, *pz2;
 	double			ux0, y0, yd0, u0, s0;
 	double			y1, yd1, u1, s1;
 	double			y2, yd2, u2, s2;
@@ -1155,10 +1155,10 @@
 	/* perform s_h + yr = 256*log2(x) */
 	ull_y0 = *(unsigned long long*)px;
 	hx = HI(px);
-	ull_x0 = ull_y0 & LMMANT | LDONE;
+	ull_x0 = (ull_y0 & LMMANT) | LDONE;
 	x0 = *(double*)&ull_x0;
 	exp0 = (hx >> 20) - 2046;
-	ull_ax0 = ull_x0 + LMROUND & LMHI20;
+	ull_ax0 = ull_x0 + (LMROUND & LMHI20);
 	ax0 = *(double*)&ull_ax0;
 	hx0 = HI(&ax0);
 	ux0 = x0 + ax0;
--- old/usr/src/lib/libmvec/common/__vrhypot.c	2014-05-04 03:07:25.288299367 +0200
+++ new/usr/src/lib/libmvec/common/__vrhypot.c	2014-05-04 03:07:25.317992583 +0200
@@ -217,7 +217,7 @@
 	double		x0, y0, res0, dd0;
 	double		res0_hi,res0_lo, dres0;
 	double		x_hi1, x_lo1, y_hi1, y_lo1, scl1 = 0;
-	double		x1, y1, res1, dd1;
+	double		x1 = 0.0L, y1 = 0.0L, res1, dd1;
 	double		res1_hi,res1_lo, dres1;
 	double		x_hi2, x_lo2, y_hi2, y_lo2, scl2 = 0;
 	double		x2, y2, res2, dd2;
@@ -238,7 +238,7 @@
 	double		D2ON1022 = ((double*)LCONST)[3];
 	double		D2ONM52 = ((double*)LCONST)[4];
 
-	double		*pz0, *pz1, *pz2;
+	double		*pz0, *pz1 = 0, *pz2;
 
 	do
 	{
--- old/usr/src/lib/libmvec/common/__vsin.c	2014-05-04 03:07:26.759198297 +0200
+++ new/usr/src/lib/libmvec/common/__vsin.c	2014-05-04 03:07:26.980312287 +0200
@@ -28,6 +28,7 @@
  */
 
 #include <sys/isa_defs.h>
+#include <sys/ccompile.h>
 
 #ifdef _LITTLE_ENDIAN
 #define HI(x)	*(1+(int*)x)
@@ -78,10 +79,9 @@
 {
 	double		x0_or_one[4], x1_or_one[4], x2_or_one[4];
 	double		y0_or_zero[4], y1_or_zero[4], y2_or_zero[4];
-	double		x0, x1, x2, *py0, *py1, *py2, *xsave, *ysave;
-	unsigned	hx0, hx1, hx2, xsb0, xsb1, xsb2;
-	int			i, biguns, nsave, sxsave, sysave;
-
+	double		x0, x1, x2, *py0 = 0, *py1 = 0, *py2, *xsave, *ysave;
+	unsigned	hx0, hx1, hx2, xsb0, xsb1 = 0, xsb2;
+	int		i, biguns, nsave, sxsave, sysave;
 	nsave = n;
 	xsave = x;
 	sxsave = stridex;
@@ -101,7 +101,6 @@
 		}
 		if ( hx0 < 0x3e400000 )
 		{
-			volatile int v = *x;
 			*y = *x;
 			x += stridex;
 			y += stridey;
@@ -128,7 +127,6 @@
 		}
 		if ( hx1 < 0x3e400000 )
 		{
-			volatile int v = *x;
 			*y = *x;
 			x += stridex;
 			y += stridey;
@@ -155,7 +153,6 @@
 		}
 		if ( hx2 < 0x3e400000 )
 		{
-			volatile int v = *x;
 			*y = *x;
 			x += stridex;
 			y += stridey;
@@ -510,7 +507,7 @@
 	{
 		double		fn0, fn1, fn2, a0, a1, a2, w0, w1, w2, y0, y1, y2;
 		unsigned	hx;
-		int			n0, n1, n2;
+		int		n0, n1, n2;
 
 loop0:
 		hx = HI(x);
@@ -518,7 +515,6 @@
 		hx &= ~0x80000000;
 		if ( hx < 0x3e400000 )
 		{
-			volatile int v = *x;
 			*y = *x;
 			x += stridex;
 			y += stridey;
@@ -557,7 +553,6 @@
 		hx &= ~0x80000000;
 		if ( hx < 0x3e400000 )
 		{
-			volatile int v = *x;
 			*y = *x;
 			x += stridex;
 			y += stridey;
@@ -596,7 +591,6 @@
 		hx &= ~0x80000000;
 		if ( hx < 0x3e400000 )
 		{
-			volatile int v = *x;
 			*y = *x;
 			x += stridex;
 			y += stridey;
--- old/usr/src/lib/libmvec/common/__vsincos.c	2014-05-04 03:07:29.153018719 +0200
+++ new/usr/src/lib/libmvec/common/__vsincos.c	2014-05-04 03:07:29.396341229 +0200
@@ -28,6 +28,7 @@
  */
 
 #include <sys/isa_defs.h>
+#include <sys/ccompile.h>
 
 #ifdef _LITTLE_ENDIAN
 #define HI(x)	*(1+(int*)x)
@@ -93,12 +94,11 @@
 	double		x0_or_one[4], x1_or_one[4], x2_or_one[4];
 	double		y0_or_zero[4], y1_or_zero[4], y2_or_zero[4];
 	double		x0, x1, x2,
-				*py0, *py1, *py2,
-				*pc0, *pc1, *pc2,
-				*xsave, *ysave, *csave;
+			*py0, *py1, *py2,
+			*pc0, *pc1, *pc2,
+			*xsave, *ysave, *csave;
 	unsigned	hx0, hx1, hx2, xsb0, xsb1, xsb2;
-	int			i, biguns, nsave, sxsave, sysave, scsave;
-
+	int		i, biguns, nsave, sxsave, sysave, scsave;
 	nsave = n;
 	xsave = x;
 	sxsave = stridex;
@@ -128,7 +128,6 @@
 		}
 		if ( hx0 < 0x3e400000 ) {
 			/* Too small.  cos x ~ 1, sin x ~ x. */
-			volatile int v = *x;
 			*c = 1.0;
 			*y = *x;
 			x += stridex;
@@ -165,7 +164,6 @@
 		}
 		if ( hx1 < 0x3e400000 )
 		{
-			volatile int v = *x;
 			*c = 1.0;
 			*y = *x;
 			x += stridex;
@@ -202,7 +200,6 @@
 		}
 		if ( hx2 < 0x3e400000 )
 		{
-			volatile int v = *x;
 			*c = 1.0;
 			*y = *x;
 			x += stridex;
--- old/usr/src/lib/libmvec/common/__vsincosf.c	2014-05-04 03:07:30.377071861 +0200
+++ new/usr/src/lib/libmvec/common/__vsincosf.c	2014-05-04 03:07:30.406873425 +0200
@@ -168,7 +168,7 @@
 	double		z0, z1, z2, z3;
 	float		f0, f1, f2, f3, t;
 	float		g0, g1, g2, g3;
-	int		n0, n1, n2, n3, hx, ix, medium;
+	int		n0 = 0, n1 = 0, n2 = 0, n3, hx, ix, medium;
 
 	s -= strides;
 	c -= stridec;
--- old/usr/src/lib/libmvec/common/__vsinf.c	2014-05-04 03:07:31.406673400 +0200
+++ new/usr/src/lib/libmvec/common/__vsinf.c	2014-05-04 03:07:31.436716642 +0200
@@ -152,7 +152,7 @@
 	double		y0, y1, y2, y3;
 	double		z0, z1, z2, z3;
 	float		f0, f1, f2, f3, t;
-	int		n0, n1, n2, n3, hx, ix, medium;
+	int		n0 = 0, n1 = 0, n2 = 0, n3, hx, ix, medium;
 
 	y -= stridey;
 
--- old/usr/src/man/Makefile	2014-05-04 03:07:33.370616618 +0200
+++ new/usr/src/man/Makefile	2014-05-04 03:07:33.402923655 +0200
@@ -11,6 +11,7 @@
 
 #
 # Copyright 2011, Richard Lowe
+# Copyright (c) 2012, Igor Kozhukhov <ikozhukhov@gmail.com>
 # Copyright 2013 Nexenta Systems, Inc.  All rights reserved.
 #
 
@@ -48,10 +49,12 @@
 		man3ldap	\
 		man3lgrp	\
 		man3lib		\
+		man3m		\
 		man3mail	\
 		man3malloc	\
 		man3mp		\
 		man3mpapi	\
+		man3mvec	\
 		man3nsl		\
 		man3nvpair	\
 		man3pam		\
--- old/usr/src/pkg/manifests/SUNWlibm.mf	2014-05-04 03:07:34.901633131 +0200
+++ new/usr/src/pkg/manifests/SUNWlibm.mf	2014-05-04 03:07:35.145057357 +0200
@@ -13,12 +13,17 @@
 # Copyright 2011 Nexenta Systems, Inc.  All rights reserved.
 #
 
-# was renamed to system/library/math/header-math
-# both obsolete now
 set name=pkg.fmri value=pkg:/SUNWlibm@0.5.11,5.11-0.132
-set name=pkg.description value="Math Library Headers & Lint Files"
-set name=pkg.obsolete value=true
-set name=pkg.summary value="Math Library Headers & Lint Files"
+set name=pkg.description \
+    value="Math & Microtasking Library Headers & Lint Files"
+# license license=SUNWlibm.copyright
+# license license=SUNWlibmr.copyright
+set name=pkg.renamed value=true
+# set name=pkg.renamed value=true
+set name=pkg.summary value="Math & Microtasking Library Headers & Lint Files"
 set name=info.classification \
     value=org.opensolaris.category.2008:System/Libraries
+# set name=org.opensolaris.consolidation value=sunpro
 set name=variant.arch value=$(ARCH)
+set name=variant.opensolaris.zone value=global value=nonglobal
+depend fmri=pkg:/system/library/math/header-math@$(PKGVERS) type=require
--- old/usr/src/pkg/manifests/SUNWlibms.mf	2014-05-04 03:07:37.212270646 +0200
+++ new/usr/src/pkg/manifests/SUNWlibms.mf	2014-05-04 03:07:37.234680432 +0200
@@ -14,13 +14,13 @@
 #
 
 set name=pkg.fmri value=pkg:/SUNWlibms@0.5.11,5.11-0.132
-set name=pkg.description value="Math Libraries"
+set name=pkg.description value="Math & Microtasking Libraries"
 # license license=SUNWlibms.copyright
 # license license=SUNWlibmsr.copyright
 set name=pkg.renamed value=true
 # set name=pkg.renamed value=true
-set name=pkg.summary value="Math Libraries"
-set name=description value="Math Libraries"
+set name=pkg.summary value="Math & Microtasking Libraries"
+set name=description value="Math & Microtasking Libraries"
 set name=info.classification \
     value=org.opensolaris.category.2008:System/Libraries
 set name=variant.arch value=$(ARCH)
--- old/usr/src/tools/aw/aw.c	2014-05-04 03:07:39.759334274 +0200
+++ new/usr/src/tools/aw/aw.c	2014-05-04 03:07:39.789393279 +0200
@@ -571,9 +571,9 @@
 			 * preprocessor, if present, or to gas if not.
 			 */
 			filename = arg;
-			if (arglen > 2 &&
-			    (strcmp(arg + arglen - 2, ".s") == 0) ||
-			    (strcmp(arg + arglen - 2, ".S") == 0)) {
+			if ((arglen > 2) &&
+			    ((strcmp(arg + arglen - 2, ".s") == 0) ||
+			    (strcmp(arg + arglen - 2, ".S") == 0))) {
 				/*
 				 * Though 'as' allows multiple assembler
 				 * files to be processed in one invocation
--- old/usr/src/tools/cw/cw.c	2014-05-04 03:07:41.615736743 +0200
+++ new/usr/src/tools/cw/cw.c	2014-05-04 03:07:41.842270361 +0200
@@ -20,9 +20,6 @@
  */
 
 /*
-* Copyright 2011, Richard Lowe.
-*/
-/*
  * Copyright 2010 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -36,7 +33,7 @@
  */
 
 /* If you modify this file, you must increment CW_VERSION */
-#define	CW_VERSION	"1.30"
+#define	CW_VERSION	"1.29"
 
 /*
  * -#		Verbose mode
